Subject: Re: bug#65506: Anki: Preferences Dialog Broken

From: 宋文武 <[email-masked]>
Date: Fri, 25 Aug 2023 20:52:01 +0800

Christopher Howard <[email-masked]> writes:

> Hello, The Anki program works well except that if I select Tools >> Preferences menu, I do not get a preferences menu, and instead I get this error:
>
> ```
> Error 
> An error occurred. Please use Tools > Check Database to see if that fixes the problem. 
> If problems persist, please report the problem on our support site. Please copy and paste the information below into your report.
> Anki 2.1.16 (4bc33e2f) Python 3.10.7 Qt 5.15.8 PyQt 5.15.9
> Platform: Linux
> Flags: frz=False ao=False sv=2
>
> Caught exception:
> Traceback (most recent call last):
>   File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/main.py", line 881, in onPrefs
>     aqt.dialogs.open("Preferences", self)
>   File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/__init__.py", line 82, in open
>     instance = creator(*args)
>   File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/preferences.py", line 25, in __init__
>     self.setupCollection()
>   File "/gnu/store/c6hiswiwspb70q7lfy61fwdyr3i1j6jz-anki-2.1.16/share/anki/aqt/preferences.py", line 80, in setupCollection
>     f.lrnCutoff.setValue(qc['collapseTime']/60.0)
> TypeError: setValue(self, val: int): argument 1 has unexpected type 'float'
> ```    

Hello, thank you for the report!  It seems QSpinBox really want 'int'
instead of 'float' now.  I have sent a patch to fix this.